#ifndef __TAPIDBUS_COMPAT_H__
#define __TAPIDBUS_COMPAT_H__

#define CHECK_DBUS_VERSION(major, minor) \
    (DBUS_MAJOR_VERSION > (major) || \
    (DBUS_MAJOR_VERSION == (major) && DBUS_MINOR_VERSION >= (minor)))

#if !CHECK_DBUS_VERSION(0,30)

#define DBUS_INTERFACE_LOCAL               DBUS_INTERFACE_ORG_FREEDESKTOP_LOCAL
#define DBUS_PATH_LOCAL                    DBUS_PATH_ORG_FREEDESKTOP_LOCAL

#endif

#endif
